package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.domain.Menu;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2022/12/16
 */
public interface MenuMapper extends BaseMapper<Menu> {

    List<Menu> getOpMenusByRoleId(@Param("roleId") Integer roleId,@Param("clientId") String clientId);

    List<Menu> getChildrenMenuByPid(@Param("parentId") Integer id,@Param("clientId") String clientId);

    List<Menu> getMenuListByRoleId(@Param("roleId") Integer roleId);
}
